Reconex
TMS API

Rating and booking

Server

Create, rate and book in one call, re-rate a changed load, and book the best-value carrier.


Book the best-value carrier

POST
https://tmstest.reconex.io
/api/v1/IntegrationApi/BookBestwayCarrier
apikey (header)

Book the best-value carrier › Request Body

loadId
​integer · int32
proNumber
​string | null
billingId
​string | null
poNumber
​string | null
isHotShipment
​boolean

Book the best-value carrier › Responses

200

OK

​array | null
​array | null

Update and re-rate a load

POST
https://tmstest.reconex.io
/api/v1/IntegrationApi/UpdateAndReRateLoad
apikey (header)

Update and re-rate a load › Request Body

mustArriveByDate
​string | null · date-time
loadId
​integer · int32
​BillingReRateInformation
​LocationLoad
​LocationLoad
​array | null
​Accessorials
​LoadInformation
​AccessoryListReRate

Update and re-rate a load › Responses

200

OK

​Information
​array | null
​array | null
​array | null
​array | null

Create, rate or book a load

POST
https://tmstest.reconex.io
/api/v1/IntegrationApi/CreateRateOrBookLoad
apikey (header)

Create, rate or book a load › Request Body

mustArriveByDate
​string | null · date-time
​BookLoadDetail
​BillingLocation
​LocationLoad
​LocationLoad
​Accessorials
​array | null
​LoadInformation
scac
​string | null

Create, rate or book a load › Responses

200

OK

​Information
​array | null
​array | null
​array | null
​array | null